<div class="container">
  <div class="d-flex justify-content-between mt-4">
    <mat-form-field>
      <mat-label>Filter</mat-label>
      <input matInput (keyup)="applyFilter($event)" placeholder="text" #input>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Past/Upcoming</mat-label>
      <mat-select [formControl]="eventStatus" (selectionChange)="pastOrUpcoming()">
        <mat-option value="All">All</mat-option>
        <mat-option value="Past">Past</mat-option>
        <mat-option value="Upcoming">Upcoming</mat-option>
      </mat-select>
    </mat-form-field>
    <div>
      <button mat-raised-button color="accent" (click)="newEvent()">New event</button>
    </div>
  </div>
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource">
      <!-- ID Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID</th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>

      <!-- Progress Column -->
      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Title</th>
        <td mat-cell *matCellDef="let row"> {{row.title | titlecase}}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Description</th>
        <td mat-cell *matCellDef="let row"> {{row.description | titlecase}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Status</th>
        <td mat-cell *matCellDef="let row"> {{row.status | uppercase}} </td>
      </ng-container>
      <ng-container matColumnDef="buttons">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>
        </th>
        <td mat-cell *matCellDef="let row">
          <div class="d-flex justify-content-end" (click)="navigate(row.id)">
            <button mat-raised-button color="primary">Edit</button>

          </div>
        </td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
  </div>

</div>
